﻿/// <reference path="../Scripts/msls.js" />

window.myapp = msls.application;

(function (lightSwitchApplication) {

    var $Entity = msls.Entity,
        $DataService = msls.DataService,
        $DataWorkspace = msls.DataWorkspace,
        $defineEntity = msls._defineEntity,
        $defineDataService = msls._defineDataService,
        $defineDataWorkspace = msls._defineDataWorkspace,
        $DataServiceQuery = msls.DataServiceQuery,
        $toODataString = msls._toODataString;

    function AccountsChart(entitySet) {
        /// <summary>
        /// Represents the AccountsChart entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this accountsChart.
        /// </param>
        /// <field name="AccountId" type="Number">
        /// Gets or sets the accountId for this accountsChart.
        /// </field>
        /// <field name="ParentId" type="Number">
        /// Gets or sets the parentId for this accountsChart.
        /// </field>
        /// <field name="Description" type="String">
        /// Gets or sets the description for this accountsChart.
        /// </field>
        /// <field name="Type" type="String">
        /// Gets or sets the type for this accountsChart.
        /// </field>
        /// <field name="Rollup" type="Number">
        /// Gets or sets the rollup for this accountsChart.
        /// </field>
        /// <field name="details" type="msls.application.AccountsChart.Details">
        /// Gets the details for this accountsChart.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function ActorSale(entitySet) {
        /// <summary>
        /// Represents the ActorSale entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this actorSale.
        /// </param>
        /// <field name="MoviePersonID" type="Number">
        /// Gets or sets the moviePersonID for this actorSale.
        /// </field>
        /// <field name="FirstName" type="String">
        /// Gets or sets the firstName for this actorSale.
        /// </field>
        /// <field name="LastName" type="String">
        /// Gets or sets the lastName for this actorSale.
        /// </field>
        /// <field name="CrewTitleID" type="Number">
        /// Gets or sets the crewTitleID for this actorSale.
        /// </field>
        /// <field name="Title" type="String">
        /// Gets or sets the title for this actorSale.
        /// </field>
        /// <field name="YearReleased" type="Number">
        /// Gets or sets the yearReleased for this actorSale.
        /// </field>
        /// <field name="Expr1006" type="Number">
        /// Gets or sets the expr1006 for this actorSale.
        /// </field>
        /// <field name="details" type="msls.application.ActorSale.Details">
        /// Gets the details for this actorSale.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function CrewTitle(entitySet) {
        /// <summary>
        /// Represents the CrewTitle entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this crewTitle.
        /// </param>
        /// <field name="CrewTitleID" type="Number">
        /// Gets or sets the crewTitleID for this crewTitle.
        /// </field>
        /// <field name="Title" type="String">
        /// Gets or sets the title for this crewTitle.
        /// </field>
        /// <field name="details" type="msls.application.CrewTitle.Details">
        /// Gets the details for this crewTitle.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Customer(entitySet) {
        /// <summary>
        /// Represents the Customer entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this customer.
        /// </param>
        /// <field name="CustomerID" type="Number">
        /// Gets or sets the customerID for this customer.
        /// </field>
        /// <field name="PersonID" type="Number">
        /// Gets or sets the personID for this customer.
        /// </field>
        /// <field name="CardMemberID" type="Number">
        /// Gets or sets the cardMemberID for this customer.
        /// </field>
        /// <field name="OccupationID" type="Number">
        /// Gets or sets the occupationID for this customer.
        /// </field>
        /// <field name="RegionID" type="Number">
        /// Gets or sets the regionID for this customer.
        /// </field>
        /// <field name="AccountNumber" type="String">
        /// Gets or sets the accountNumber for this customer.
        /// </field>
        /// <field name="DateAccountOpened" type="Date">
        /// Gets or sets the dateAccountOpened for this customer.
        /// </field>
        /// <field name="HomeOwner" type="Boolean">
        /// Gets or sets the homeOwner for this customer.
        /// </field>
        /// <field name="YearlyIncome" type="String">
        /// Gets or sets the yearlyIncome for this customer.
        /// </field>
        /// <field name="NumberOfCars" type="Number">
        /// Gets or sets the numberOfCars for this customer.
        /// </field>
        /// <field name="Children" type="Number">
        /// Gets or sets the children for this customer.
        /// </field>
        /// <field name="ChildrenAtHome" type="Number">
        /// Gets or sets the childrenAtHome for this customer.
        /// </field>
        /// <field name="details" type="msls.application.Customer.Details">
        /// Gets the details for this customer.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Department(entitySet) {
        /// <summary>
        /// Represents the Department entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this department.
        /// </param>
        /// <field name="DepartmentID" type="Number">
        /// Gets or sets the departmentID for this department.
        /// </field>
        /// <field name="Description" type="String">
        /// Gets or sets the description for this department.
        /// </field>
        /// <field name="details" type="msls.application.Department.Details">
        /// Gets the details for this department.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Genre(entitySet) {
        /// <summary>
        /// Represents the Genre entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this genre.
        /// </param>
        /// <field name="GenreID" type="Number">
        /// Gets or sets the genreID for this genre.
        /// </field>
        /// <field name="GenreName" type="String">
        /// Gets or sets the genreName for this genre.
        /// </field>
        /// <field name="details" type="msls.application.Genre.Details">
        /// Gets the details for this genre.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Movie(entitySet) {
        /// <summary>
        /// Represents the Movie entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this movie.
        /// </param>
        /// <field name="MovieID" type="Number">
        /// Gets or sets the movieID for this movie.
        /// </field>
        /// <field name="Title" type="String">
        /// Gets or sets the title for this movie.
        /// </field>
        /// <field name="Length" type="Number">
        /// Gets or sets the length for this movie.
        /// </field>
        /// <field name="YearReleased" type="Number">
        /// Gets or sets the yearReleased for this movie.
        /// </field>
        /// <field name="UserRating" type="Number">
        /// Gets or sets the userRating for this movie.
        /// </field>
        /// <field name="MPAA" type="String">
        /// Gets or sets the mPAA for this movie.
        /// </field>
        /// <field name="Country" type="String">
        /// Gets or sets the country for this movie.
        /// </field>
        /// <field name="IsColor" type="Boolean">
        /// Gets or sets the isColor for this movie.
        /// </field>
        /// <field name="Language" type="String">
        /// Gets or sets the language for this movie.
        /// </field>
        /// <field name="Image" type="String">
        /// Gets or sets the image for this movie.
        /// </field>
        /// <field name="details" type="msls.application.Movie.Details">
        /// Gets the details for this movie.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function MoviePerson(entitySet) {
        /// <summary>
        /// Represents the MoviePerson entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this moviePerson.
        /// </param>
        /// <field name="MoviePersonID" type="Number">
        /// Gets or sets the moviePersonID for this moviePerson.
        /// </field>
        /// <field name="FirstName" type="String">
        /// Gets or sets the firstName for this moviePerson.
        /// </field>
        /// <field name="LastName" type="String">
        /// Gets or sets the lastName for this moviePerson.
        /// </field>
        /// <field name="DateOfBirth" type="Date">
        /// Gets or sets the dateOfBirth for this moviePerson.
        /// </field>
        /// <field name="DateOfDeath" type="String">
        /// Gets or sets the dateOfDeath for this moviePerson.
        /// </field>
        /// <field name="PlaceOfBirth" type="String">
        /// Gets or sets the placeOfBirth for this moviePerson.
        /// </field>
        /// <field name="details" type="msls.application.MoviePerson.Details">
        /// Gets the details for this moviePerson.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Producer(entitySet) {
        /// <summary>
        /// Represents the Producer entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this producer.
        /// </param>
        /// <field name="ProductionID" type="Number">
        /// Gets or sets the productionID for this producer.
        /// </field>
        /// <field name="Name" type="String">
        /// Gets or sets the name for this producer.
        /// </field>
        /// <field name="details" type="msls.application.Producer.Details">
        /// Gets the details for this producer.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Product(entitySet) {
        /// <summary>
        /// Represents the Product entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this product.
        /// </param>
        /// <field name="ProductID" type="Number">
        /// Gets or sets the productID for this product.
        /// </field>
        /// <field name="Price" type="String">
        /// Gets or sets the price for this product.
        /// </field>
        /// <field name="StorePrice" type="String">
        /// Gets or sets the storePrice for this product.
        /// </field>
        /// <field name="InStock" type="Number">
        /// Gets or sets the inStock for this product.
        /// </field>
        /// <field name="OnOrder" type="Number">
        /// Gets or sets the onOrder for this product.
        /// </field>
        /// <field name="ReOrderLevel" type="Number">
        /// Gets or sets the reOrderLevel for this product.
        /// </field>
        /// <field name="Discontinued" type="Boolean">
        /// Gets or sets the discontinued for this product.
        /// </field>
        /// <field name="details" type="msls.application.Product.Details">
        /// Gets the details for this product.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function SalesByGenre(entitySet) {
        /// <summary>
        /// Represents the SalesByGenre entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this salesByGenre.
        /// </param>
        /// <field name="GenreID" type="Number">
        /// Gets or sets the genreID for this salesByGenre.
        /// </field>
        /// <field name="GenreName" type="String">
        /// Gets or sets the genreName for this salesByGenre.
        /// </field>
        /// <field name="StorePrice" type="String">
        /// Gets or sets the storePrice for this salesByGenre.
        /// </field>
        /// <field name="SaleID" type="Number">
        /// Gets or sets the saleID for this salesByGenre.
        /// </field>
        /// <field name="Quantity" type="Number">
        /// Gets or sets the quantity for this salesByGenre.
        /// </field>
        /// <field name="SalesID" type="Number">
        /// Gets or sets the salesID for this salesByGenre.
        /// </field>
        /// <field name="SaleDate" type="Date">
        /// Gets or sets the saleDate for this salesByGenre.
        /// </field>
        /// <field name="Profit" type="String">
        /// Gets or sets the profit for this salesByGenre.
        /// </field>
        /// <field name="details" type="msls.application.SalesByGenre.Details">
        /// Gets the details for this salesByGenre.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Store(entitySet) {
        /// <summary>
        /// Represents the Store entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this store.
        /// </param>
        /// <field name="StoreID" type="Number">
        /// Gets or sets the storeID for this store.
        /// </field>
        /// <field name="StoreType" type="Number">
        /// Gets or sets the storeType for this store.
        /// </field>
        /// <field name="DistrictID" type="Number">
        /// Gets or sets the districtID for this store.
        /// </field>
        /// <field name="StoreName" type="String">
        /// Gets or sets the storeName for this store.
        /// </field>
        /// <field name="StoreNumber" type="Number">
        /// Gets or sets the storeNumber for this store.
        /// </field>
        /// <field name="Address" type="Number">
        /// Gets or sets the address for this store.
        /// </field>
        /// <field name="Manager" type="Number">
        /// Gets or sets the manager for this store.
        /// </field>
        /// <field name="Phone1" type="String">
        /// Gets or sets the phone1 for this store.
        /// </field>
        /// <field name="Phone2" type="String">
        /// Gets or sets the phone2 for this store.
        /// </field>
        /// <field name="OpenDate" type="Date">
        /// Gets or sets the openDate for this store.
        /// </field>
        /// <field name="RemodelDate" type="Date">
        /// Gets or sets the remodelDate for this store.
        /// </field>
        /// <field name="LeaseSqFt" type="Number">
        /// Gets or sets the leaseSqFt for this store.
        /// </field>
        /// <field name="StoreSqFt" type="Number">
        /// Gets or sets the storeSqFt for this store.
        /// </field>
        /// <field name="GrocerySqFt" type="Number">
        /// Gets or sets the grocerySqFt for this store.
        /// </field>
        /// <field name="FrozenSqFt" type="Number">
        /// Gets or sets the frozenSqFt for this store.
        /// </field>
        /// <field name="MeatSqFt" type="Number">
        /// Gets or sets the meatSqFt for this store.
        /// </field>
        /// <field name="VendingMachine" type="Boolean">
        /// Gets or sets the vendingMachine for this store.
        /// </field>
        /// <field name="KidSection" type="Boolean">
        /// Gets or sets the kidSection for this store.
        /// </field>
        /// <field name="AdultSection" type="Boolean">
        /// Gets or sets the adultSection for this store.
        /// </field>
        /// <field name="IndependentSection" type="Boolean">
        /// Gets or sets the independentSection for this store.
        /// </field>
        /// <field name="GameRoom" type="Boolean">
        /// Gets or sets the gameRoom for this store.
        /// </field>
        /// <field name="details" type="msls.application.Store.Details">
        /// Gets the details for this store.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function ReelsData(dataWorkspace) {
        /// <summary>
        /// Represents the ReelsData data service.
        /// </summary>
        /// <param name="dataWorkspace" type="msls.DataWorkspace">
        /// The data workspace that created this data service.
        /// </param>
        /// <field name="AccountsCharts" type="msls.EntitySet">
        /// Gets the AccountsCharts entity set.
        /// </field>
        /// <field name="ActorSales" type="msls.EntitySet">
        /// Gets the ActorSales entity set.
        /// </field>
        /// <field name="CrewTitles" type="msls.EntitySet">
        /// Gets the CrewTitles entity set.
        /// </field>
        /// <field name="Customers" type="msls.EntitySet">
        /// Gets the Customers entity set.
        /// </field>
        /// <field name="Departments" type="msls.EntitySet">
        /// Gets the Departments entity set.
        /// </field>
        /// <field name="Genres" type="msls.EntitySet">
        /// Gets the Genres entity set.
        /// </field>
        /// <field name="Movies" type="msls.EntitySet">
        /// Gets the Movies entity set.
        /// </field>
        /// <field name="MoviePersons" type="msls.EntitySet">
        /// Gets the MoviePersons entity set.
        /// </field>
        /// <field name="Producers" type="msls.EntitySet">
        /// Gets the Producers entity set.
        /// </field>
        /// <field name="Products" type="msls.EntitySet">
        /// Gets the Products entity set.
        /// </field>
        /// <field name="SalesByGenres" type="msls.EntitySet">
        /// Gets the SalesByGenres entity set.
        /// </field>
        /// <field name="Stores" type="msls.EntitySet">
        /// Gets the Stores entity set.
        /// </field>
        /// <field name="details" type="msls.application.ReelsData.Details">
        /// Gets the details for this data service.
        /// </field>
        $DataService.call(this, dataWorkspace);
    };
    function DataWorkspace() {
        /// <summary>
        /// Represents the data workspace.
        /// </summary>
        /// <field name="ReelsData" type="msls.application.ReelsData">
        /// Gets the ReelsData data service.
        /// </field>
        /// <field name="details" type="msls.application.DataWorkspace.Details">
        /// Gets the details for this data workspace.
        /// </field>
        $DataWorkspace.call(this);
    };

    msls._addToNamespace("msls.application", {

        AccountsChart: $defineEntity(AccountsChart, [
            { name: "AccountId", type: Number },
            { name: "ParentId", type: Number },
            { name: "Description", type: String },
            { name: "Type", type: String },
            { name: "Rollup", type: Number }
        ]),

        ActorSale: $defineEntity(ActorSale, [
            { name: "MoviePersonID", type: Number },
            { name: "FirstName", type: String },
            { name: "LastName", type: String },
            { name: "CrewTitleID", type: Number },
            { name: "Title", type: String },
            { name: "YearReleased", type: Number },
            { name: "Expr1006", type: Number }
        ]),

        CrewTitle: $defineEntity(CrewTitle, [
            { name: "CrewTitleID", type: Number },
            { name: "Title", type: String }
        ]),

        Customer: $defineEntity(Customer, [
            { name: "CustomerID", type: Number },
            { name: "PersonID", type: Number },
            { name: "CardMemberID", type: Number },
            { name: "OccupationID", type: Number },
            { name: "RegionID", type: Number },
            { name: "AccountNumber", type: String },
            { name: "DateAccountOpened", type: Date },
            { name: "HomeOwner", type: Boolean },
            { name: "YearlyIncome", type: String },
            { name: "NumberOfCars", type: Number },
            { name: "Children", type: Number },
            { name: "ChildrenAtHome", type: Number }
        ]),

        Department: $defineEntity(Department, [
            { name: "DepartmentID", type: Number },
            { name: "Description", type: String }
        ]),

        Genre: $defineEntity(Genre, [
            { name: "GenreID", type: Number },
            { name: "GenreName", type: String }
        ]),

        Movie: $defineEntity(Movie, [
            { name: "MovieID", type: Number },
            { name: "Title", type: String },
            { name: "Length", type: Number },
            { name: "YearReleased", type: Number },
            { name: "UserRating", type: Number },
            { name: "MPAA", type: String },
            { name: "Country", type: String },
            { name: "IsColor", type: Boolean },
            { name: "Language", type: String },
            { name: "Image", type: String }
        ]),

        MoviePerson: $defineEntity(MoviePerson, [
            { name: "MoviePersonID", type: Number },
            { name: "FirstName", type: String },
            { name: "LastName", type: String },
            { name: "DateOfBirth", type: Date },
            { name: "DateOfDeath", type: String },
            { name: "PlaceOfBirth", type: String }
        ]),

        Producer: $defineEntity(Producer, [
            { name: "ProductionID", type: Number },
            { name: "Name", type: String }
        ]),

        Product: $defineEntity(Product, [
            { name: "ProductID", type: Number },
            { name: "Price", type: String },
            { name: "StorePrice", type: String },
            { name: "InStock", type: Number },
            { name: "OnOrder", type: Number },
            { name: "ReOrderLevel", type: Number },
            { name: "Discontinued", type: Boolean }
        ]),

        SalesByGenre: $defineEntity(SalesByGenre, [
            { name: "GenreID", type: Number },
            { name: "GenreName", type: String },
            { name: "StorePrice", type: String },
            { name: "SaleID", type: Number },
            { name: "Quantity", type: Number },
            { name: "SalesID", type: Number },
            { name: "SaleDate", type: Date },
            { name: "Profit", type: String }
        ]),

        Store: $defineEntity(Store, [
            { name: "StoreID", type: Number },
            { name: "StoreType", type: Number },
            { name: "DistrictID", type: Number },
            { name: "StoreName", type: String },
            { name: "StoreNumber", type: Number },
            { name: "Address", type: Number },
            { name: "Manager", type: Number },
            { name: "Phone1", type: String },
            { name: "Phone2", type: String },
            { name: "OpenDate", type: Date },
            { name: "RemodelDate", type: Date },
            { name: "LeaseSqFt", type: Number },
            { name: "StoreSqFt", type: Number },
            { name: "GrocerySqFt", type: Number },
            { name: "FrozenSqFt", type: Number },
            { name: "MeatSqFt", type: Number },
            { name: "VendingMachine", type: Boolean },
            { name: "KidSection", type: Boolean },
            { name: "AdultSection", type: Boolean },
            { name: "IndependentSection", type: Boolean },
            { name: "GameRoom", type: Boolean }
        ]),

        ReelsData: $defineDataService(ReelsData, lightSwitchApplication.rootUri + "/ReelsData.svc", [
            { name: "AccountsCharts", elementType: AccountsChart },
            { name: "ActorSales", elementType: ActorSale },
            { name: "CrewTitles", elementType: CrewTitle },
            { name: "Customers", elementType: Customer },
            { name: "Departments", elementType: Department },
            { name: "Genres", elementType: Genre },
            { name: "Movies", elementType: Movie },
            { name: "MoviePersons", elementType: MoviePerson },
            { name: "Producers", elementType: Producer },
            { name: "Products", elementType: Product },
            { name: "SalesByGenres", elementType: SalesByGenre },
            { name: "Stores", elementType: Store }
        ], [
            {
                name: "AccountsCharts_SingleOrDefault", value: function (AccountId) {
                    return new $DataServiceQuery({ _entitySet: this.AccountsCharts },
                        lightSwitchApplication.rootUri + "/ReelsData.svc" + "/AccountsCharts(" + "AccountId=" + $toODataString(AccountId, "Int32?") + ")"
                    );
                }
            },
            {
                name: "ActorSales_SingleOrDefault", value: function (MoviePersonID, CrewTitleID) {
                    return new $DataServiceQuery({ _entitySet: this.ActorSales },
                        lightSwitchApplication.rootUri + "/ReelsData.svc" + "/ActorSales(" + "MoviePersonID=" + $toODataString(MoviePersonID, "Int32?") + "," + "CrewTitleID=" + $toODataString(CrewTitleID, "Int32?") + ")"
                    );
                }
            },
            {
                name: "CrewTitles_SingleOrDefault", value: function (CrewTitleID) {
                    return new $DataServiceQuery({ _entitySet: this.CrewTitles },
                        lightSwitchApplication.rootUri + "/ReelsData.svc" + "/CrewTitles(" + "CrewTitleID=" + $toODataString(CrewTitleID, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Customers_SingleOrDefault", value: function (HomeOwner) {
                    return new $DataServiceQuery({ _entitySet: this.Customers },
                        lightSwitchApplication.rootUri + "/ReelsData.svc" + "/Customers(" + "HomeOwner=" + $toODataString(HomeOwner, "Boolean?") + ")"
                    );
                }
            },
            {
                name: "Departments_SingleOrDefault", value: function (DepartmentID) {
                    return new $DataServiceQuery({ _entitySet: this.Departments },
                        lightSwitchApplication.rootUri + "/ReelsData.svc" + "/Departments(" + "DepartmentID=" + $toODataString(DepartmentID, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Genres_SingleOrDefault", value: function (GenreID) {
                    return new $DataServiceQuery({ _entitySet: this.Genres },
                        lightSwitchApplication.rootUri + "/ReelsData.svc" + "/Genres(" + "GenreID=" + $toODataString(GenreID, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Movies_SingleOrDefault", value: function (MovieID, IsColor) {
                    return new $DataServiceQuery({ _entitySet: this.Movies },
                        lightSwitchApplication.rootUri + "/ReelsData.svc" + "/Movies(" + "MovieID=" + $toODataString(MovieID, "Int32?") + "," + "IsColor=" + $toODataString(IsColor, "Boolean?") + ")"
                    );
                }
            },
            {
                name: "MoviePersons_SingleOrDefault", value: function (MoviePersonID) {
                    return new $DataServiceQuery({ _entitySet: this.MoviePersons },
                        lightSwitchApplication.rootUri + "/ReelsData.svc" + "/MoviePersons(" + "MoviePersonID=" + $toODataString(MoviePersonID, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Producers_SingleOrDefault", value: function (ProductionID) {
                    return new $DataServiceQuery({ _entitySet: this.Producers },
                        lightSwitchApplication.rootUri + "/ReelsData.svc" + "/Producers(" + "ProductionID=" + $toODataString(ProductionID, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Products_SingleOrDefault", value: function (Discontinued) {
                    return new $DataServiceQuery({ _entitySet: this.Products },
                        lightSwitchApplication.rootUri + "/ReelsData.svc" + "/Products(" + "Discontinued=" + $toODataString(Discontinued, "Boolean?") + ")"
                    );
                }
            },
            {
                name: "SalesByGenres_SingleOrDefault", value: function (GenreID) {
                    return new $DataServiceQuery({ _entitySet: this.SalesByGenres },
                        lightSwitchApplication.rootUri + "/ReelsData.svc" + "/SalesByGenres(" + "GenreID=" + $toODataString(GenreID, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Stores_SingleOrDefault", value: function (VendingMachine, KidSection, AdultSection, IndependentSection, GameRoom) {
                    return new $DataServiceQuery({ _entitySet: this.Stores },
                        lightSwitchApplication.rootUri + "/ReelsData.svc" + "/Stores(" + "VendingMachine=" + $toODataString(VendingMachine, "Boolean?") + "," + "KidSection=" + $toODataString(KidSection, "Boolean?") + "," + "AdultSection=" + $toODataString(AdultSection, "Boolean?") + "," + "IndependentSection=" + $toODataString(IndependentSection, "Boolean?") + "," + "GameRoom=" + $toODataString(GameRoom, "Boolean?") + ")"
                    );
                }
            },
            {
                name: "Query1", value: function (MovieID) {
                    return new $DataServiceQuery({ _entitySet: this.Movies },
                        lightSwitchApplication.rootUri + "/ReelsData.svc" + "/Query1()",
                        {
                            MovieID: $toODataString(MovieID, "Int32?")
                        });
                }
            }
        ]),

        DataWorkspace: $defineDataWorkspace(DataWorkspace, [
            { name: "ReelsData", type: ReelsData }
        ])

    });

}(msls.application));
